
Figure - Bug #117808
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.wallpapercropper（1）
2023-05-08 13:57 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版本）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-09

Test Type: Monkey Test Root cause: 特殊场景下，页面退出后执行操作。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.wallpapercropper (pid 6542)

// Short Msg: java.lang.SecurityException

// Long Msg: java.lang.SecurityException: com.android.wallpapercropper has no access to content://media/external/images/media/84

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.RuntimeException: An error occurred while executing doInBackground()

//     at android.os.AsyncTask$4.done(AsyncTask.java:415)

//     at java.util.concurrent.FutureTask.finishCompletion(FutureTask.java:383)

//     at java.util.concurrent.FutureTask.setException(FutureTask.java:252)

//     at java.util.concurrent.FutureTask.run(FutureTask.java:271)

//     at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:305)

//     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

//     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

//     at java.lang.Thread.run(Thread.java:920)

// Caused by: java.lang.SecurityException: com.android.wallpapercropper has no access to content://media/external/images/media/84

//     at android.os.Parcel.createExceptionOrNull(Parcel.java:2425)

//     at android.os.Parcel.createException(Parcel.java:2409)

//     at android.os.Parcel.readException(Parcel.java:2392)

//     at android.database.DatabaseUtils.readExceptionFromParcel(DatabaseUtils.java:190)

//     at android.database.DatabaseUtils.readExceptionWithFileNotFoundExceptionFromParcel(DatabaseUtils.java:153)

//     at android.content.ContentProviderProxy.openTypedAssetFile(ContentProviderNative.java:780)

//     at android.content.ContentResolver.openTypedAssetFileDescriptor(ContentResolver.java:2029)

//     at android.content.ContentResolver.openAssetFileDescriptor(ContentResolver.java:1844)

//     at android.content.ContentResolver.openInputStream(ContentResolver.java:1520)

//     at com.android.wallpapercropper.WallpaperCropActivity$BitmapCropTask.regenerateInputStream(WallpaperCropActivity.java:534)
//     at com.android.wallpapercropper.WallpaperCropActivity$BitmapCropTask.getImageBounds(WallpaperCropActivity.java:550)

//     at com.android.wallpapercropper.WallpaperCropActivity$BitmapCropTask.cropBitmap(WallpaperCropActivity.java:598)

//     at com.android.wallpapercropper.WallpaperCropActivity$BitmapCropTask.doInBackground(WallpaperCropActivity.java:799)

//     at com.android.wallpapercropper.WallpaperCropActivity$BitmapCropTask.doInBackground(WallpaperCropActivity.java:448)

//     at android.os.AsyncTask$3.call(AsyncTask.java:394)

//     at java.util.concurrent.FutureTask.run(FutureTask.java:266)

//     ... 4 more

// 

History

#1 - 2023-05-08 13:59 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王营 to CD FW-廖涛

#2 - 2023-05-08 14:01 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

#3 - 2023-05-08 14:57 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.5带开机动画版本） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画版本）

#4 - 2023-05-09 09:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198365 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:WallpaperCropper: Fix set wallpaper crash in special sence.TC-RID: 1201-0202401IssueID: TS-R-BUG-117808Change-Id:

I47e679936bca33ac6442b65f9feb0a6bc56dd95b

#5 - 2023-05-09 09:52 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-09

- Root cause set to 特殊场景下，页面退出后执行操作。

■ Current conclusion

已处理，代码已入库。

■ My analysis
特殊场景下，页面退出后执行操作。连续点击两次设置壁纸按钮，会创建两个 Task 进行设置壁纸相关操作，在第二个操作获取图片时，第一个操作已经

完成且页面退出，报错。

解决方案：

设置壁纸被点击后，禁用按钮。

■ Next action

测试验证。

#6 - 2023-05-12 18:07 - CD TEST-方永红

5.12

0099版本未复现

#7 - 2023-05-15 10:56 - CD TEST-方永红

5.15

13DB未复现

#8 - 2023-05-16 14:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

5.16

验证通过

#9 - 2023-05-16 14:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CD TEST-方永红
